create workspace document
curl --request POST \
--url https://engine.example.com/api/v1/workspace/documents \
--header 'Content-Type: application/json' \
--data '
{
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"name": "<string>",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://engine.example.com/api/v1/workspace/documents"
payload = {
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": True,
"case_sensitive": True,
"current_catalog": "<string>",
"namespace": ["<string>"],
"time_zone": "<string>"
}
},
"name": "<string>",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify({
type: 'Query',
sql: '<string>',
settings: {
ansi_enabled: true,
case_sensitive: true,
current_catalog: '<string>',
namespace: ['<string>'],
time_zone: '<string>'
}
}),
name: '<string>',
submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://engine.example.com/api/v1/workspace/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workspace/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => [
'type' => 'Query',
'sql' => '<string>',
'settings' => [
'ansi_enabled' => true,
'case_sensitive' => true,
'current_catalog' => '<string>',
'namespace' => [
'<string>'
],
'time_zone' => '<string>'
]
],
'name' => '<string>',
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workspace/documents"
payload := strings.NewReader("{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workspace/documents")
.header("Content-Type", "application/json")
.body("{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workspace/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"document": {
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"created_at": {
"unix_millis": 123
},
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"revision": 1,
"updated_at": {
"unix_millis": 123
}
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Create workspace document
create workspace document. POST /api/v1/workspace/documents. Uses the same payload, validation, revision checks and response as the unified HTTP API.
create workspace document
curl --request POST \
--url https://engine.example.com/api/v1/workspace/documents \
--header 'Content-Type: application/json' \
--data '
{
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"name": "<string>",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://engine.example.com/api/v1/workspace/documents"
payload = {
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": True,
"case_sensitive": True,
"current_catalog": "<string>",
"namespace": ["<string>"],
"time_zone": "<string>"
}
},
"name": "<string>",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify({
type: 'Query',
sql: '<string>',
settings: {
ansi_enabled: true,
case_sensitive: true,
current_catalog: '<string>',
namespace: ['<string>'],
time_zone: '<string>'
}
}),
name: '<string>',
submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://engine.example.com/api/v1/workspace/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workspace/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => [
'type' => 'Query',
'sql' => '<string>',
'settings' => [
'ansi_enabled' => true,
'case_sensitive' => true,
'current_catalog' => '<string>',
'namespace' => [
'<string>'
],
'time_zone' => '<string>'
]
],
'name' => '<string>',
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workspace/documents"
payload := strings.NewReader("{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workspace/documents")
.header("Content-Type", "application/json")
.body("{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workspace/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": {\n \"type\": \"Query\",\n \"sql\": \"<string>\",\n \"settings\": {\n \"ansi_enabled\": true,\n \"case_sensitive\": true,\n \"current_catalog\": \"<string>\",\n \"namespace\": [\n \"<string>\"\n ],\n \"time_zone\": \"<string>\"\n }\n },\n \"name\": \"<string>\",\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"document": {
"body": {
"type": "Query",
"sql": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
}
},
"created_at": {
"unix_millis": 123
},
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"revision": 1,
"updated_at": {
"unix_millis": 123
}
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026